Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Vim is an advanced text editor.
Name:      	vim
Version:   	7.3
Release:   	1
License: 	Charityware/GPL
URL:		http://www.vim.org
Group:     	Text Tools  
Source0: 	%{name}-%{version}.tar.bz2
Source1:        vimrc
Patch0:		%{name}-7.0-vimrc.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

BuildRequires:  gdk-pixbuf-devel

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: coreutils
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: gawk
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gpm-devel
BuildRequires: gtk2+-devel
BuildRequires: libacl-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXt-devel
BuildRequires: ncurses-devel
BuildRequires: pango-devel
BuildRequires: perl
BuildRequires: tcl-devel
BuildRequires: tcsh

%description
Vim is an advanced text editor that seeks to provide the power of the de-facto Unix editor 'Vi',
with a more complete feature set. Vim is often called a "programmer's editor," and so useful
for programming that many consider it an entire IDE. It's not just for programmers, though.
Vim is perfect for all kinds of text editing, from composing email to editing configuration files.

%prep
%setup -qn %{name}73
%patch0 -p1 -b -vimrc

%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--sysconfdir=%_sysconfdir \
--disable-perlinterp \
--enable-pythoninterp \
--enable-tclinterp \
--enable-cscope \
--enable-multibyte \
--enable-xim \
--enable-fontset \
--enable-gui=auto \
--with-x \
--disable-debug
make

%install
rm -rf %buildroot
make DESTDIR=$RPM_BUILD_ROOT install
# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'
install -D -m0644 %{SOURCE1} $RPM_BUILD_ROOT%_sysconfdir/vimrc
cd $RPM_BUILD_ROOT%_bindir
ln -s vim vi

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/vimrc
%{_bindir}/eview
%{_bindir}/evim
%{_bindir}/ex
%{_bindir}/gview
%{_bindir}/gvim
%{_bindir}/gvimdiff
%{_bindir}/gvimtutor
%{_bindir}/rgview
%{_bindir}/rgvim
%{_bindir}/rview
%{_bindir}/rvim
%{_bindir}/vi
%{_bindir}/view
%{_bindir}/vim
%{_bindir}/vimdiff
%{_bindir}/vimtutor
%{_bindir}/xxd
%{_mandir}/*/man1/eview.1.gz
%{_mandir}/*/man1/evim.1.gz
%{_mandir}/*/man1/ex.1.gz
%{_mandir}/*/man1/gview.1.gz
%{_mandir}/*/man1/gvim.1.gz
%{_mandir}/*/man1/gvimdiff.1.gz
%{_mandir}/*/man1/rgview.1.gz
%{_mandir}/*/man1/rgvim.1.gz
%{_mandir}/*/man1/rview.1.gz
%{_mandir}/*/man1/rvim.1.gz
%{_mandir}/*/man1/view.1.gz
%{_mandir}/*/man1/vim.1.gz
%{_mandir}/*/man1/vimdiff.1.gz
%{_mandir}/*/man1/vimtutor.1.gz
%{_mandir}/*/man1/xxd.1.gz
%{_mandir}/man1/eview.1.gz
%{_mandir}/man1/evim.1.gz
%{_mandir}/man1/ex.1.gz
%{_mandir}/man1/gview.1.gz
%{_mandir}/man1/gvim.1.gz
%{_mandir}/man1/gvimdiff.1.gz
%{_mandir}/man1/rgview.1.gz
%{_mandir}/man1/rgvim.1.gz
%{_mandir}/man1/rview.1.gz
%{_mandir}/man1/rvim.1.gz
%{_mandir}/man1/view.1.gz
%{_mandir}/man1/vim.1.gz
%{_mandir}/man1/vimdiff.1.gz
%{_mandir}/man1/vimtutor.1.gz
%{_mandir}/man1/xxd.1.gz
%{_datadir}/vim/vim73

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Aug 16 2010 Karsten Brockmann <arcam@ccux-linux.de> 7.3-1
- Version Update
* Fri Sep 05 2008 Karsten Brockmann <arcam@ccux-linux.de> 7.2-3
- final version
* Fri Aug 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 7.2-2
- beta version 7.2c
* Sun Jul 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 7.2-1
- Version update
- beta version 7.2b
* Sat Jul 26 2008 Christian Metzen <metzench@ccux-linux.de> 7.1-5
- rebuild against gpm 1.20.5
* Thu Jul 24 2008 Christian Metzen <metzench@ccux-linux.de> 7.1-4
- added libXt as require, should fix missing dependency hopefully, seems like autoresultion isnt 100% reliable
* Sun Jul 20 2008 Christian Metzen <metzench@ccux-linux.de> 7.1-3
- rebuild against libgpm
* Sun Jul 20 2008 Christian Metzen <metzench@ccux-linux.de> 7.1-3
- rebuild against libgpm
* Fri Dec 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 7.1-2
- rebuilt agianst tcl/tk 8.5.0
* Sun May 13 2006 Karsten Brockmann <arcam@ccux-linux.de> 7.1-1
- Version update
* Mon May 08 2006 Karsten Brockmann <arcam@ccux-linux.de> 7.0-1
- Version update
* Sun Oct 16 2005 Christian Wasem <wasem@ccux-linux.de> 6.4-1
- Update to Version 6.4
* Thu Oct 13 2005 Christian Wasem <wasem@ccux-linux.de> 6.4b-2
- tweaked specfile, added vimrc patch
* Mon Oct 10 2005 Karsten Brockmann <arcam@ccux-linux.de> 6.4b-1
- Version update
* Sun Jul 03 2005 Karsten Brockmann <arcam@ccux-linux.de> 6.3-1
- Version Update to 6.3, rebuilt spec
* Wed Apr 14 2005 Christian Metzen <metzench@ccux-linux.de> 6.2-1
- Initial Release
